=== debian/control ===
Source: node-blueimp-md5
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 brotli,
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 eslint <!nocheck>,
 mocha <!nocheck>,
 node-chai <!nocheck>,
 node-js-yaml <!nocheck>,
 pigz,
 uglifyjs (>= 3),
Standards-Version: 4.6.1
Homepage: https://github.com/blueimp/JavaScript-MD5
Vcs-Browser: https://salsa.debian.org/js-team/node-blueimp-md5
Vcs-Git: https://salsa.debian.org/js-team/node-blueimp-md5.git
Rules-Requires-Root: no

Package: node-blueimp-md5
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Provides:
 libjs-blueimp-md5,
Description: JavaScript library implementing the MD5 hash algorithm
 JavaScript MD5 implementation.
 Compatible with server-side environments like Node.js,
 module loaders like RequireJS or webpack
 and all web browsers.
 .
 The MD5 message-digest algorithm is a cryptographically broken
 but still widely used hash function
 producing a 128-bit hash value.
