=== debian/tests/control ===
Test-Command: node -e "require('blueimp-md5');"
Depends:
 node-blueimp-md5,
 nodejs,
Restrictions: superficial

Test-Command: node -e "
 require('/usr/share/javascript/blueimp-md5/md5');
 require('/usr/share/javascript/blueimp-md5/md5.min');
 "
Depends:
 libjs-blueimp-md5,
 nodejs,
Restrictions: superficial

Test-Command:
 sed -i -e 's,\.\./js/md5,blueimp-md5,' test/test.js
 && mocha --reporter=tap
Depends:
 node-blueimp-md5,
 mocha,
 node-chai,

Test-Command:
 cd /usr/share/javascript &&
 eslint --no-eslintrc --format tap --env browser blueimp-md5/*.js
Depends:
 eslint,
 libjs-blueimp-md5,
 node-js-yaml,
Restrictions: superficial
